<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.2" maxVersion="1.8" type="org.netbeans.modules.form.forminfo.JFrameFormInfo">
  <NonVisualComponents>
    <Menu class="javax.swing.JMenuBar" name="Setting">
      <SubComponents>
        <Menu class="javax.swing.JMenu" name="jMenu2">
          <Properties>
            <Property name="text" type="java.lang.String" value="File"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuFilePasswordChange">
              <Properties>
                <Property name="text" type="java.lang.String" value="Ubah Password"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuFilePasswordChangeActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuFileLogoff">
              <Properties>
                <Property name="text" type="java.lang.String" value="LogOff"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuFileLogoffActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuFileExit">
              <Properties>
                <Property name="text" type="java.lang.String" value="Exit"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuFileExitActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuSetting">
          <Properties>
            <Property name="text" type="java.lang.String" value="Setting"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuSettingUser">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pengguna"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuSettingUserActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuSettingKonfigurasiSistem">
              <Properties>
                <Property name="text" type="java.lang.String" value="Konfigurasi Sistem"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuSettingKonfigurasiSistemActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuSettingKoneksi">
              <Properties>
                <Property name="text" type="java.lang.String" value="Koneksi DB &amp; Printer"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuSettingKoneksiActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuMaster">
          <Properties>
            <Property name="text" type="java.lang.String" value="Master"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterStok">
              <Properties>
                <Property name="text" type="java.lang.String" value="Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterStokActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterStokKategori">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kategori Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterStokKategoriActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterSatuan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Satuan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterSatuanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterHargaJual">
              <Properties>
                <Property name="text" type="java.lang.String" value="Harga Jual"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterHargaJualActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator3">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterCustomer">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pelanggan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterCustomerActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterSupplier">
              <Properties>
                <Property name="text" type="java.lang.String" value="Supplier"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterSupplierActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterRelasiKategori">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kategori Supplier/ Customer"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterRelasiKategoriActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterSupplierHarga">
              <Properties>
                <Property name="text" type="java.lang.String" value="Harga Supplier"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterSupplierHargaActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator1">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterSalesman">
              <Properties>
                <Property name="text" type="java.lang.String" value="Salesman"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterSalesmanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator2">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterExpedisi">
              <Properties>
                <Property name="text" type="java.lang.String" value="Expedisi"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterExpedisiActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterKota">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kota"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterKotaActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterLokasi">
              <Properties>
                <Property name="text" type="java.lang.String" value="Lokasi"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterLokasiActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterGudang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Gudang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterGudangActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator4">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterCoa">
              <Properties>
                <Property name="text" type="java.lang.String" value="COA"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterCoaActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterAlatBayar">
              <Properties>
                <Property name="text" type="java.lang.String" value="Alat Bayar"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterAlatBayarActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuMasterStokTrxType">
              <Properties>
                <Property name="text" type="java.lang.String" value="Tipe Transaksi Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuMasterStokTrxTypeActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuTrxStok">
          <Properties>
            <Property name="text" type="java.lang.String" value="Stok"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuTrxStokPenerimaan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Penerimaan Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxStokPenerimaanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuTrxStokPengeluaran">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pengeluaran Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxStokPengeluaranActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuTrxStokTransfer">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pindah Gudang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxStokTransferActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuTrxStokOpname">
              <Properties>
                <Property name="text" type="java.lang.String" value="Stok Opname"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxStokOpnameActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator8">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuListItemHistoriAr">
              <Properties>
                <Property name="text" type="java.lang.String" value="Histori Harga Penjualan per Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuListItemHistoriArActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuListItemHistoriAp">
              <Properties>
                <Property name="text" type="java.lang.String" value="Histori Harga Pembelian per Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuListItemHistoriApActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuCetakBarcode">
              <Properties>
                <Property name="text" type="java.lang.String" value="Cetak Barcode"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuCetakBarcodeActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuDaftar">
          <Properties>
            <Property name="text" type="java.lang.String" value="Daftar"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPO">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pesanan Pembelian - PO"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPOActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPembelian">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pembelian"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPembelianActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPembayaranSupplier">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pembayaran Supplier"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPembayaranSupplierActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator5">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarSO">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pesanan Penjualan - SO"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarSOActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPenjualan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Faktur Penjualan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPenjualanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPembayaranPelanggan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pembayaran Pelanggan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPembayaranPelangganActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator6">
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPenerimaanStok">
              <Properties>
                <Property name="text" type="java.lang.String" value="Penerimaan Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPenerimaanStokActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarPengeluaranStok">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pengeluaran Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarPengeluaranStokActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarTransfer">
              <Properties>
                <Property name="text" type="java.lang.String" value="Transfer Antar Gudang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarTransferActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarStokOpname">
              <Properties>
                <Property name="text" type="java.lang.String" value="Stok Opname"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarStokOpnameActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JPopupMenu$Separator" name="jSeparator7">
            </MenuItem>
            <Menu class="javax.swing.JMenu" name="mnuListKasBank">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kas &amp; Bank"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarBKM">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Bukti Kas Masuk"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarBKMActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuDaftarBKK">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Bukti Kas Keluar"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuDaftarBKKActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeuBukuBank">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Buku Bank"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeuBukuBankActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
            <Menu class="javax.swing.JMenu" name="mnuListBB">
              <Properties>
                <Property name="text" type="java.lang.String" value="Buku Besar"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuListBBJurnal">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Jurnal Umum"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuListBBJurnalActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuHutangPiutang">
          <Properties>
            <Property name="text" type="java.lang.String" value="Hutang Piutang"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuEntriHutang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Entri Hutang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuEntriHutangActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuEntriPiutang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Entri Piutang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuEntriPiutangActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuEntrihutangHistori">
              <Properties>
                <Property name="text" type="java.lang.String" value="Histori Entri Hutang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuEntrihutangHistoriActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuKartuTagihanPiutang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kartu Tagihan Piutang Pelanggan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKartuTagihanPiutangActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuKartuTagihanHutang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kartu Tagihan Hutang Supplier"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKartuTagihanHutangActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuTrx">
          <Properties>
            <Property name="text" type="java.lang.String" value="Transaksi"/>
          </Properties>
          <SubComponents>
            <Menu class="javax.swing.JMenu" name="mnuTrxPenjualan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Penjualan"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxJualFaktur">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Faktur Penjualan"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxJualFakturActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxJualRetur">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Retur Penjualan"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxJualReturActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxJualSO">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Pesanan Penjualan (SO)"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxJualSOActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxBayarPelanggan">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Penerimaan Pelanggan"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxBayarPelangganActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxJualSaldoAwalAr">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Saldo Awal Piutang Penjualan"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxJualSaldoAwalArActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
            <Menu class="javax.swing.JMenu" name="mnuTrxPembelian">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pembelian"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxPembelianBeli">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Pembelian"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxPembelianBeliActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxPembelianPO">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Pesanan Pembelian (PO)"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxPembelianPOActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxPembelianRetur">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Retur Pembelian"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxPembelianReturActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxPembelianBayarSupplier">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Pembayaran Supplier"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxPembelianBayarSupplierActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuTrxPembelianSaldoAwalAp">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Saldo Awal Hutang Pembelian"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuTrxPembelianSaldoAwalApActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
            <Menu class="javax.swing.JMenu" name="mnuKeu_PC">
              <Properties>
                <Property name="text" type="java.lang.String" value="Petty Cash"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeu_PC_Keluar">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Kas Keluar"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeu_PC_KeluarActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeu_PC_Masuk">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Kas Masuk"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeu_PC_MasukActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeu_PC_list">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Daftar Petty Cash"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeu_PC_listActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuAkuntasi">
          <Properties>
            <Property name="text" type="java.lang.String" value="Akuntansi"/>
          </Properties>
          <SubComponents>
            <Menu class="javax.swing.JMenu" name="mnuAkuntansiKasBank">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kas &amp; Bank"/>
              </Properties>
              <SubComponents>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeuKasBankMasuk">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Bukti Kas Masuk"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeuKasBankMasukActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeuKasBankKeluar">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Bukti Kas Keluar"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeuKasBankKeluarActionPerformed"/>
                  </Events>
                </MenuItem>
                <MenuItem class="javax.swing.JMenuItem" name="mnuKeuKasBankRekonsiliasi">
                  <Properties>
                    <Property name="text" type="java.lang.String" value="Rekonsiliasi Bank"/>
                  </Properties>
                  <Events>
                    <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeuKasBankRekonsiliasiActionPerformed"/>
                  </Events>
                </MenuItem>
              </SubComponents>
            </Menu>
            <MenuItem class="javax.swing.JMenuItem" name="mnuKeuJurnal">
              <Properties>
                <Property name="text" type="java.lang.String" value="Jurnal Umum"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuKeuJurnalActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuUtil">
          <Properties>
            <Property name="text" type="java.lang.String" value="Utilisasi"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuUtilLookupItem">
              <Properties>
                <Property name="text" type="java.lang.String" value="Lookup Item"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuUtilLookupItemActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuUtilReminder">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pengingat"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuUtilReminderActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuRpt">
          <Properties>
            <Property name="text" type="java.lang.String" value="Laporan"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptPenjualan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Penjualan"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptPenjualanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptPembelian">
              <Properties>
                <Property name="text" type="java.lang.String" value="Pembelian"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptPembelianActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptHutangPiutang">
              <Properties>
                <Property name="text" type="java.lang.String" value="Hutang - Piutang"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptHutangPiutangActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptPersediaan">
              <Properties>
                <Property name="text" type="java.lang.String" value="Laporan Stok"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptPersediaanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptKomisiSalesman">
              <Properties>
                <Property name="text" type="java.lang.String" value="Komisi Salesman"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptKomisiSalesmanActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="mnuRptKasBankGL">
              <Properties>
                <Property name="text" type="java.lang.String" value="Kas/ Bank &amp; Buku Besar"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="mnuRptKasBankGLActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
        <Menu class="javax.swing.JMenu" name="mnuHelp">
          <Properties>
            <Property name="text" type="java.lang.String" value="Help"/>
          </Properties>
          <SubComponents>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItem1">
              <Properties>
                <Property name="text" type="java.lang.String" value="Panduan Pengguna"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItem1ActionPerformed"/>
              </Events>
            </MenuItem>
            <MenuItem class="javax.swing.JMenuItem" name="jMenuItem2">
              <Properties>
                <Property name="text" type="java.lang.String" value="Tentang Program"/>
              </Properties>
              <Events>
                <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="jMenuItem2ActionPerformed"/>
              </Events>
            </MenuItem>
          </SubComponents>
        </Menu>
      </SubComponents>
    </Menu>
  </NonVisualComponents>
  <Properties>
    <Property name="defaultCloseOperation" type="int" value="0"/>
    <Property name="title" type="java.lang.String" value="Rejeki Makmur"/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="menuBar" type="java.lang.String" value="Setting"/>
    <SyntheticProperty name="formSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,3,41,0,0,3,-94"/>
    <SyntheticProperty name="formSizePolicy" type="int" value="0"/>
    <SyntheticProperty name="generateSize" type="boolean" value="true"/>
    <SyntheticProperty name="generateCenter" type="boolean" value="true"/>
  </SyntheticProperties>
  <Events>
    <EventHandler event="windowOpened" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="formWindowOpened"/>
    <EventHandler event="windowClosing" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="formWindowClosing"/>
    <EventHandler event="windowActivated" listener="java.awt.event.WindowListener" parameters="java.awt.event.WindowEvent" handler="formWindowActivated"/>
  </Events>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Component id="jSplitPane2" max="32767" attributes="0"/>
          <Group type="102" alignment="0" attributes="0">
              <Component id="jPanel1" pref="910" max="32767" attributes="0"/>
              <EmptySpace min="4" pref="4" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Component id="jSplitPane2" pref="730" max="32767" attributes="0"/>
              <EmptySpace min="-2" pref="0" max="-2" attributes="0"/>
              <Component id="jPanel1" min="-2" pref="20" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JSplitPane" name="jSplitPane2">

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout"/>
      <SubComponents>
        <Container class="javax.swing.JScrollPane" name="jScrollPane1">
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
              <JSplitPaneConstraints position="left"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Container class="com.ustasoft.component.JTaskPaneContainer" name="jTaskPaneContainer2">
              <Properties>
                <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
                  <Color blue="0" green="0" red="0" type="rgb"/>
                </Property>
              </Properties>
              <SubComponents>
                <Container class="org.jdesktop.swingx.JXTaskPane" name="tpTransaksi">
                  <Properties>
                    <Property name="title" type="java.lang.String" value="Transaksi"/>
                  </Properties>
                  <LayoutCode>
                    <CodeStatement>
                      <CodeExpression id="1_verticalLayout6">
                        <CodeVariable name="verticalLayout6" type="4096" declaredType="org.jdesktop.swingx.VerticalLayout"/>
                        <ExpressionOrigin>
                          <ExpressionProvider type="CodeConstructor">
                            <CodeConstructor class="org.jdesktop.swingx.VerticalLayout" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeExpression">
                        <CodeExpression id="1_verticalLayout6"/>
                      </StatementProvider>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="1_verticalLayout6"/>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setGap" class="org.jdesktop.swingx.VerticalLayout" parameterTypes="int"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="2">
                          <ExpressionOrigin>
                            <Value type="int" value="2"/>
                          </ExpressionOrigin>
                        </CodeExpression>
                      </Parameters>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="3">
                        <ExpressionOrigin>
                          <CodeExpression id="4_tpTransaksi">
                            <CodeVariable name="tpTransaksi" type="8194" declaredType="org.jdesktop.swingx.JXTaskPane"/>
                            <ExpressionOrigin>
                              <ExpressionProvider type="ComponentRef">
                                <ComponentRef name="tpTransaksi"/>
                              </ExpressionProvider>
                            </ExpressionOrigin>
                          </CodeExpression>
                          <ExpressionProvider type="CodeMethod">
                            <CodeMethod name="getContentPane" class="org.jdesktop.swingx.JXTaskPane" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setLayout" class="java.awt.Container" parameterTypes="java.awt.LayoutManager"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="1_verticalLayout6"/>
                      </Parameters>
                    </CodeStatement>
                  </LayoutCode>
                </Container>
                <Container class="org.jdesktop.swingx.JXTaskPane" name="tpList">
                  <Properties>
                    <Property name="title" type="java.lang.String" value="Daftar"/>
                  </Properties>
                  <LayoutCode>
                    <CodeStatement>
                      <CodeExpression id="5_verticalLayout3">
                        <CodeVariable name="verticalLayout3" type="4096" declaredType="org.jdesktop.swingx.VerticalLayout"/>
                        <ExpressionOrigin>
                          <ExpressionProvider type="CodeConstructor">
                            <CodeConstructor class="org.jdesktop.swingx.VerticalLayout" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeExpression">
                        <CodeExpression id="5_verticalLayout3"/>
                      </StatementProvider>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="5_verticalLayout3"/>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setGap" class="org.jdesktop.swingx.VerticalLayout" parameterTypes="int"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="6">
                          <ExpressionOrigin>
                            <Value type="int" value="2"/>
                          </ExpressionOrigin>
                        </CodeExpression>
                      </Parameters>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="7">
                        <ExpressionOrigin>
                          <CodeExpression id="8_tpList">
                            <CodeVariable name="tpList" type="8194" declaredType="org.jdesktop.swingx.JXTaskPane"/>
                            <ExpressionOrigin>
                              <ExpressionProvider type="ComponentRef">
                                <ComponentRef name="tpList"/>
                              </ExpressionProvider>
                            </ExpressionOrigin>
                          </CodeExpression>
                          <ExpressionProvider type="CodeMethod">
                            <CodeMethod name="getContentPane" class="org.jdesktop.swingx.JXTaskPane" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setLayout" class="java.awt.Container" parameterTypes="java.awt.LayoutManager"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="5_verticalLayout3"/>
                      </Parameters>
                    </CodeStatement>
                  </LayoutCode>
                </Container>
                <Container class="org.jdesktop.swingx.JXTaskPane" name="tpMaster">
                  <Properties>
                    <Property name="expanded" type="boolean" value="false"/>
                    <Property name="title" type="java.lang.String" value="Master"/>
                  </Properties>
                  <LayoutCode>
                    <CodeStatement>
                      <CodeExpression id="9_verticalLayout1">
                        <CodeVariable name="verticalLayout1" type="4096" declaredType="org.jdesktop.swingx.VerticalLayout"/>
                        <ExpressionOrigin>
                          <ExpressionProvider type="CodeConstructor">
                            <CodeConstructor class="org.jdesktop.swingx.VerticalLayout" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeExpression">
                        <CodeExpression id="9_verticalLayout1"/>
                      </StatementProvider>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="9_verticalLayout1"/>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setGap" class="org.jdesktop.swingx.VerticalLayout" parameterTypes="int"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="10">
                          <ExpressionOrigin>
                            <Value type="int" value="2"/>
                          </ExpressionOrigin>
                        </CodeExpression>
                      </Parameters>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="11">
                        <ExpressionOrigin>
                          <CodeExpression id="12_tpMaster">
                            <CodeVariable name="tpMaster" type="8194" declaredType="org.jdesktop.swingx.JXTaskPane"/>
                            <ExpressionOrigin>
                              <ExpressionProvider type="ComponentRef">
                                <ComponentRef name="tpMaster"/>
                              </ExpressionProvider>
                            </ExpressionOrigin>
                          </CodeExpression>
                          <ExpressionProvider type="CodeMethod">
                            <CodeMethod name="getContentPane" class="org.jdesktop.swingx.JXTaskPane" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setLayout" class="java.awt.Container" parameterTypes="java.awt.LayoutManager"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="9_verticalLayout1"/>
                      </Parameters>
                    </CodeStatement>
                  </LayoutCode>
                </Container>
                <Container class="org.jdesktop.swingx.JXTaskPane" name="tpLaporan">
                  <Properties>
                    <Property name="title" type="java.lang.String" value="Laporan"/>
                  </Properties>
                  <LayoutCode>
                    <CodeStatement>
                      <CodeExpression id="13_verticalLayout2">
                        <CodeVariable name="verticalLayout2" type="4096" declaredType="org.jdesktop.swingx.VerticalLayout"/>
                        <ExpressionOrigin>
                          <ExpressionProvider type="CodeConstructor">
                            <CodeConstructor class="org.jdesktop.swingx.VerticalLayout" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeExpression">
                        <CodeExpression id="13_verticalLayout2"/>
                      </StatementProvider>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="13_verticalLayout2"/>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setGap" class="org.jdesktop.swingx.VerticalLayout" parameterTypes="int"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="14">
                          <ExpressionOrigin>
                            <Value type="int" value="2"/>
                          </ExpressionOrigin>
                        </CodeExpression>
                      </Parameters>
                    </CodeStatement>
                    <CodeStatement>
                      <CodeExpression id="15">
                        <ExpressionOrigin>
                          <CodeExpression id="16_tpLaporan">
                            <CodeVariable name="tpLaporan" type="8194" declaredType="org.jdesktop.swingx.JXTaskPane"/>
                            <ExpressionOrigin>
                              <ExpressionProvider type="ComponentRef">
                                <ComponentRef name="tpLaporan"/>
                              </ExpressionProvider>
                            </ExpressionOrigin>
                          </CodeExpression>
                          <ExpressionProvider type="CodeMethod">
                            <CodeMethod name="getContentPane" class="org.jdesktop.swingx.JXTaskPane" parameterTypes=""/>
                          </ExpressionProvider>
                        </ExpressionOrigin>
                      </CodeExpression>
                      <StatementProvider type="CodeMethod">
                        <CodeMethod name="setLayout" class="java.awt.Container" parameterTypes="java.awt.LayoutManager"/>
                      </StatementProvider>
                      <Parameters>
                        <CodeExpression id="13_verticalLayout2"/>
                      </Parameters>
                    </CodeStatement>
                  </LayoutCode>
                </Container>
              </SubComponents>
              <LayoutCode>
                <CodeStatement>
                  <CodeExpression id="17_verticalLayout4">
                    <CodeVariable name="verticalLayout4" type="4096" declaredType="org.jdesktop.swingx.VerticalLayout"/>
                    <ExpressionOrigin>
                      <ExpressionProvider type="CodeConstructor">
                        <CodeConstructor class="org.jdesktop.swingx.VerticalLayout" parameterTypes=""/>
                      </ExpressionProvider>
                    </ExpressionOrigin>
                  </CodeExpression>
                  <StatementProvider type="CodeExpression">
                    <CodeExpression id="17_verticalLayout4"/>
                  </StatementProvider>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="17_verticalLayout4"/>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="setGap" class="org.jdesktop.swingx.VerticalLayout" parameterTypes="int"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="18">
                      <ExpressionOrigin>
                        <Value type="int" value="14"/>
                      </ExpressionOrigin>
                    </CodeExpression>
                  </Parameters>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="19_jTaskPaneContainer2">
                    <CodeVariable name="jTaskPaneContainer2" type="8194" declaredType="com.ustasoft.component.JTaskPaneContainer"/>
                    <ExpressionOrigin>
                      <ExpressionProvider type="ComponentRef">
                        <ComponentRef name="jTaskPaneContainer2"/>
                      </ExpressionProvider>
                    </ExpressionOrigin>
                  </CodeExpression>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="setLayout" class="java.awt.Container" parameterTypes="java.awt.LayoutManager"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="17_verticalLayout4"/>
                  </Parameters>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="19_jTaskPaneContainer2"/>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="add" class="java.awt.Container" parameterTypes="java.awt.Component"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="4_tpTransaksi"/>
                  </Parameters>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="19_jTaskPaneContainer2"/>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="add" class="java.awt.Container" parameterTypes="java.awt.Component"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="8_tpList"/>
                  </Parameters>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="19_jTaskPaneContainer2"/>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="add" class="java.awt.Container" parameterTypes="java.awt.Component"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="12_tpMaster"/>
                  </Parameters>
                </CodeStatement>
                <CodeStatement>
                  <CodeExpression id="19_jTaskPaneContainer2"/>
                  <StatementProvider type="CodeMethod">
                    <CodeMethod name="add" class="java.awt.Container" parameterTypes="java.awt.Component"/>
                  </StatementProvider>
                  <Parameters>
                    <CodeExpression id="16_tpLaporan"/>
                  </Parameters>
                </CodeStatement>
              </LayoutCode>
            </Container>
          </SubComponents>
        </Container>
        <Container class="com.ustasoft.component.JDesktopImage" name="jDesktopImage2">
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_VariableModifier" type="java.lang.Integer" value="9"/>
          </AuxValues>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout" value="org.netbeans.modules.form.compat2.layouts.support.JSplitPaneSupportLayout$JSplitPaneConstraintsDescription">
              <JSplitPaneConstraints position="right"/>
            </Constraint>
          </Constraints>

          <Layout class="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout">
            <Property name="useNullLayout" type="boolean" value="true"/>
          </Layout>
        </Container>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="jPanel1">

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout">
        <Property name="useNullLayout" type="boolean" value="false"/>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="lblShift">
          <Properties>
            <Property name="text" type="java.lang.String" value="jLabel1"/>
          </Properties>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout" value="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout$AbsoluteConstraintsDescription">
              <AbsoluteConstraints x="190" y="0" width="230" height="20"/>
            </Constraint>
          </Constraints>
        </Component>
        <Component class="javax.swing.JSeparator" name="jSeparator9">
          <Properties>
            <Property name="orientation" type="int" value="1"/>
          </Properties>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout" value="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout$AbsoluteConstraintsDescription">
              <AbsoluteConstraints x="180" y="0" width="50" height="36"/>
            </Constraint>
          </Constraints>
        </Component>
        <Component class="javax.swing.JLabel" name="lblUser">
          <Properties>
            <Property name="text" type="java.lang.String" value="jLabel1"/>
          </Properties>
          <Constraints>
            <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout" value="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout$AbsoluteConstraintsDescription">
              <AbsoluteConstraints x="0" y="0" width="170" height="20"/>
            </Constraint>
          </Constraints>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
